import subprocess
from typing import Text
from dataclasses import dataclass


@dataclass
class ShellTask:
    script: Text

    def execute(self, message=None):
        # error = None
        process = subprocess.run(self.script, shell=True, capture_output=True)
        # if process.returncode > 0:
        #     error = {"error": process.stderr}
        return process.returncode > 0
